Page MenuHomeVyOS Platform

wireguard - disable peer doesn't work
Closed, ResolvedPublicBUG

Description

If a peer was enabled and then disabled, it stays as enabled after commit.

Details

Difficulty level
Normal (likely a few hours)
Version
1.3, 1.2.3
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

hagbard claimed this task.Dec 5 2019, 6:59 PM
hagbard created this task.
hagbard changed the task status from Open to In progress.Dec 5 2019, 7:05 PM
hagbard triaged this task as Normal priority.Dec 5 2019, 9:04 PM
hagbard added a project: VyOS 1.3 Equuleus.
hagbard changed Difficulty level from Unknown (require assessment) to Normal (likely a few hours).
hagbard changed Version from 1.3 to 1.3, 1.2.3.
pasik added a subscriber: pasik.Dec 8 2019, 7:00 PM
kroy added a comment.Dec 9 2019, 6:57 PM
This comment was removed by kroy.
hagbard changed the task status from Needs testing to Backport candidate.Dec 10 2019, 5:57 PM
hagbard moved this task from Need Triage to Backlog on the VyOS 1.2 Crux board.
syncer changed the task status from Backport candidate to Backport pending.Mar 15 2020, 10:12 PM
syncer reassigned this task from hagbard to jestabro.

This does not currently affect crux (perhaps it did at some point). The crux script logic precludes this bug; confirmed in testing.

jestabro closed this task as Resolved.Jul 26 2020, 6:59 PM